[arch-commits] Commit in motion/repos (5 files)

Andrea Scarpino andrea at archlinux.org
Tue Nov 17 08:43:08 EST 2009


    Date: Tuesday, November 17, 2009 @ 08:43:07
  Author: andrea
Revision: 58924

Merged revisions 58923 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/motion/trunk

........
  r58923 | andrea | 2009-11-17 14:42:17 +0100 (Tue, 17 Nov 2009) | 2 lines
  
  upgpkg: motion 3.2.11.1-1
      upstream release
........

Modified:
  motion/repos/extra-i686/	(properties)
  motion/repos/extra-i686/PKGBUILD
Deleted:
  motion/repos/extra-i686/motion-3.2.10.1-ffmpegheaders.patch
  motion/repos/extra-i686/motion-3.2.11-offsett.patch
  motion/repos/extra-i686/motion-strerror.patch

-------------------------------------+
 PKGBUILD                            |   32 ++++++++++++++------------------
 motion-3.2.10.1-ffmpegheaders.patch |   23 -----------------------
 motion-3.2.11-offsett.patch         |   13 -------------
 motion-strerror.patch               |   30 ------------------------------
 4 files changed, 14 insertions(+), 84 deletions(-)


Property changes on: motion/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /motion/trunk:1-53881
   + /motion/trunk:1-58923

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-11-17 13:42:17 UTC (rev 58923)
+++ extra-i686/PKGBUILD	2009-11-17 13:43:07 UTC (rev 58924)
@@ -2,33 +2,29 @@
 # Maintainer: None
 
 pkgname=motion
-pkgver=3.2.11
-pkgrel=4
-pkgdesc="Motion is a software motion detector. It grabs images from video4linux devices and/or from webcams."
+pkgver=3.2.11.1
+pkgrel=1
+pkgdesc="A software motion detector. It grabs images from video4linux devices and/or from webcams."
 arch=(i686 x86_64)
 license=('GPL')
 url="http://www.lavrsen.dk/twiki/bin/view/Motion/WebHome"
 depends=('ffmpeg>=0.5')
 options=('!makeflags')
-source=(http://downloads.sourceforge.net/sourceforge/motion/${pkgname}-${pkgver}.tar.gz
-	rc.motion
-	motion-3.2.11-offsett.patch
-	motion-strerror.patch
-	)
-md5sums=('3a26c00f3250eacf6fa93c7a7e0249d9'
-         'fc09828564850824f8549d258053e0b6'
-         'b4f9a30cf47d403f8098ade75ed4350f'
-         '1d27369e4157acf59d077553bdd31894')
+source=(http://downloads.sourceforge.net/${pkgname}/${pkgname}-${pkgver}.tar.gz
+	rc.motion)
+md5sums=('4e729f129d8f9b9abaed5121c3cd0037'
+         'fc09828564850824f8549d258053e0b6')
+
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
-  patch -Np1 -i "${srcdir}/motion-3.2.11-offsett.patch" || return 1
-  patch -Np1 -i "${srcdir}/motion-strerror.patch" || return 1
-  ./configure --prefix=/usr --without-pgsql --without-mysql \
-  	--with-libavcodec=/usr/lib/ --sysconfdir=/etc/motion || return 1
-
+  ./configure --prefix=/usr \
+    --without-pgsql \
+    --without-mysql \
+    --with-libavcodec=/usr/lib/ \
+    --sysconfdir=/etc/motion || return 1
   make || return 1
-
   make DESTDIR="${pkgdir}" install || return 1
+
   install -m755 -d "${pkgdir}/etc/rc.d"
   install -m755 "${srcdir}/rc.motion" "${pkgdir}/etc/rc.d/motion" || return 1
 }

Deleted: extra-i686/motion-3.2.10.1-ffmpegheaders.patch
===================================================================
--- extra-i686/motion-3.2.10.1-ffmpegheaders.patch	2009-11-17 13:42:17 UTC (rev 58923)
+++ extra-i686/motion-3.2.10.1-ffmpegheaders.patch	2009-11-17 13:43:07 UTC (rev 58924)
@@ -1,23 +0,0 @@
-Index: motion-3.2.10.1/configure.in
-===================================================================
---- motion-3.2.10.1.orig/configure.in
-+++ motion-3.2.10.1/configure.in
-@@ -415,12 +415,18 @@ if test "${FFMPEG_OK}" = "found"; then
- 	elif test -f ${FFMPEG}/avformat.h; then
- 		AC_MSG_RESULT(found ${FFMPEG}/avformat.h)
- 		FFMPEG_CFLAGS="-I${FFMPEG}"
-+	elif test -f ${FFMPEG}/libavformat/avformat.h; then
-+		AC_MSG_RESULT(found ${FFMPEG}/libavformat/avformat.h)
-+		FFMPEG_CFLAGS="-I${FFMPEG}/libavformat -I${FFMPEG}/libavutil"
- 	elif test -f `AS_DIRNAME([${FFMPEG}])`/include/avformat.h; then
- 		AC_MSG_RESULT(found ${FFMPEG}/include/avformat.h)
- 		FFMPEG_CFLAGS="-I`AS_DIRNAME([${FFMPEG}])`/include"
- 	elif test -f `AS_DIRNAME([${FFMPEG}])`/include/ffmpeg/avformat.h; then
- 		AC_MSG_RESULT(found ${FFMPEG}/include/ffmpeg/avformat.h)
- 		FFMPEG_CFLAGS="-I`AS_DIRNAME([${FFMPEG}])`/include/ffmpeg"
-+	elif test -f `AS_DIRNAME([${FFMPEG}])`/include/libavformat/avformat.h; then
-+		AC_MSG_RESULT(found ${FFMPEG}/include/libavformat/avformat.h)
-+		FFMPEG_CFLAGS="-I`AS_DIRNAME([${FFMPEG}])`/include/libavformat -I`AS_DIRNAME([${FFMPEG}])`/include/libavutil"
- 	else
- 		AC_MSG_RESULT(not found)
- 		FFMPEG_OK="no_found"

Deleted: extra-i686/motion-3.2.11-offsett.patch
===================================================================
--- extra-i686/motion-3.2.11-offsett.patch	2009-11-17 13:42:17 UTC (rev 58923)
+++ extra-i686/motion-3.2.11-offsett.patch	2009-11-17 13:43:07 UTC (rev 58924)
@@ -1,13 +0,0 @@
-Index: motion-3.2.11/ffmpeg.c
-===================================================================
---- motion-3.2.11.orig/ffmpeg.c
-+++ motion-3.2.11/ffmpeg.c
-@@ -164,7 +164,7 @@ static int file_write(URLContext *h, uns
-     return write(fd, buf, size);
- }
- 
--static offset_t file_seek(URLContext *h, offset_t pos, int whence)
-+static int64_t file_seek(URLContext *h, int64_t pos, int whence)
- {
-     int fd = (size_t)h->priv_data;
-     return lseek(fd, pos, whence);

Deleted: extra-i686/motion-strerror.patch
===================================================================
--- extra-i686/motion-strerror.patch	2009-11-17 13:42:17 UTC (rev 58923)
+++ extra-i686/motion-strerror.patch	2009-11-17 13:43:07 UTC (rev 58924)
@@ -1,30 +0,0 @@
-diff -u motion-3.2.11.broken/motion.c motion-3.2.11/motion.c
---- motion-3.2.11.broken/motion.c	2008-09-22 01:20:58.000000000 +0200
-+++ motion-3.2.11/motion.c	2009-04-13 17:09:40.000000000 +0200
-@@ -2738,9 +2738,6 @@
- {
-     int errno_save, n;
-     char buf[1024];
--#if (!defined(BSD))
--    char msg_buf[100];
--#endif
-     va_list ap;
-     int threadnr;
- 
-@@ -2767,16 +2764,7 @@
-     if (errno_flag) {
-         strcat(buf, ": ");
-         n += 2;
--        /*
--         * this is bad - apparently gcc/libc wants to use the non-standard GNU
--         * version of strerror_r, which doesn't actually put the message into
--         * my buffer :-(.  I have put in a 'hack' to get around this.
--         */
--#if (defined(BSD))
-         strerror_r(errno_save, buf + n, sizeof(buf) - n);    /* 2 for the ': ' */
--#else
--        strcat(buf, strerror_r(errno_save, msg_buf, sizeof(msg_buf)));
--#endif
-     }
-     /* If 'level' is not negative, send the message to the syslog */
-     if (level >= 0)



More information about the arch-commits mailing list